package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName com.lantone.util.module.Personal
 * @Author Mark Huang
 * @Date 2020/2/2 15:57
 * @Version 1.0
 **/
@Setter
@Getter
public class PersonalLabel extends GeneralLabel {
    private List<Address> addresses = new ArrayList<>();    //地点
    private Occupation occupation;  //职业
    private EpidemicArea epidemicArea; //疫区史
    private Contact contact;    //接触史
    private Smoking smoking;    //吸烟史
    private Drinking drinking;  //饮酒史
    private MaritalHistory maritalHistory;  //冶游史
    private SpecialHobby specialHobby;  //特殊嗜好

    public void addAddress(Address address) {
        this.addresses.add(address);
    }
}
