package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.EpidemicArea;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 疫区接触史未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0044 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        EpidemicArea epidemicArea = inputInfo.getBeHospitalizedDoc().getPersonalLabel().getEpidemicArea();
        if (epidemicArea != null && StringUtil.isNotBlank(epidemicArea.getName())) {
            status.set("0");
        }
    }

}