package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.MaritalHistory;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 冶游史未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0045 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        MaritalHistory maritalHistory = inputInfo.getBeHospitalizedDoc().getPersonalLabel().getMaritalHistory();
        if (maritalHistory != null && StringUtil.isNotBlank(maritalHistory.getName())) {
            status.set("0");
        }
    }

}