package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Marryiage;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 结婚年龄未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0053 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        Marryiage marryiage = inputInfo.getBeHospitalizedDoc().getMaritalLabel().getMarryiage();
        if (marryiage != null && StringUtil.isNotBlank(marryiage.getName())) {
            status.set("0");
        }
    }

}