package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 出院记录内容缺出院情况
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0153 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        String message = inputInfo.getLeaveHospitalDoc().getStructureMap().get("出院情况");
        if (StringUtil.isNotBlank(message)) {
            status.set("0");
        }
    }

}